D4Science Infrastructure - Task #13130

DataMiner - Update service on preprod to latest release 4.13.1
Jan 11,2019 02:41 PM - Giancarlo Panichi

Status: Closed Start date: Jan 11, 2019
Priority: Normal Due date:
Assignee: Roberto Cirillo % Done: 100%
Category: Application Estimated time: 0.00 hour
Target version: D4Science Infrastructure upgrade to

gCube 4.13.1
Infrastructure: Development, Pre-Production
Description

In order to work with DataMiner in Preprod it is necessary to update the service to the latest version gCube 4.13.1
Please check that both:

e dataminer1-pre.d4science.org
e dataminer-ghost-t.pre.d4science.org

are updated.

History

#1 - Jan 11, 2019 02:52 PM - Roberto Cirillo

- Target version changed from DataMiner - Provisioning to D4Science Infrastructure upgrade to gCube 4.13.1

#2 - Jan 11, 2019 03:00 PM - Roberto Cirillo

- Status changed from New to In Progress

The dataminer service is failing on gCube 4.13.1.
The service will be upgraded when the new version is available in 4.13.1

#3 - Jan 11, 2019 03:00 PM - Roberto Cirillo

- Status changed from In Progress to Paused

#5 - Jan 15, 2019 04:38 PM - Roberto Cirillo

- Status changed from Paused to In Progress

#6 - Jan 15, 2019 04:47 PM - Roberto Cirillo
- Status changed from In Progress to Feedback
- Assignee changed from Roberto Cirillo to Giancarlo Panichi

- % Done changed from 0 to 100

the dataminer instances have been upgraded.

#7 - Jan 15, 2019 05:52 PM - Giancarlo Panichi
- Status changed from Feedback to In Progress

- Assignee changed from Giancarlo Panichi to Roberto Cirillo

Hi @roberto.cirillo@isti.cnr.it , the service does not work there are dependencies that have not been correctly inherited (for example common-clients).
An update of the boms may be necessary.
Better to test smaller components like the uri-resolver first to see if they work.

#8 - Jan 16, 2019 10:14 AM - Roberto Cirillo

- Status changed from In Progress to Paused
I'm waiting a new build

#9 - Jan 17, 2019 10:08 AM - Roberto Cirillo
- Status changed from Paused to In Progress

- % Done changed from 100 to 90

New build available. I'm going to upgrade the service instances in preproduction

#10 - Jan 17,2019 10:11 AM - Roberto Cirillo
- Status changed from In Progress to Feedback
- Assignee changed from Roberto Cirillo to Giancarlo Panichi

- % Done changed from 90 to 100

#11 - Jan 17,2019 10:12 AM - Roberto Cirillo
- Status changed from Feedback to In Progress

- Assignee changed from Giancarlo Panichi to Roberto Cirillo

#12 - Jan 17, 2019 10:13 AM - Roberto Cirillo
- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Giancarlo Panichi

please @g.panichi@isti.cnr.it let me know if it works properly now

#13 - Jan 17, 2019 12:22 PM - Giancarlo Panichi
- Status changed from Feedback to In Progress
- Assignee changed from Giancarlo Panichi to Roberto Cirillo

- % Done changed from 100 to 0

@roberto.cirillo@isti.cnr.it there is a problem of conflicting versions on jersey libraries.
We made a fix and re-launched the build on ETICS.

#15 - Jan 18, 2019 10:34 AM - Roberto Cirillo
- % Done changed from 0 to 100

After a new deploy it works now.

#16 - Jan 18, 2019 10:35 AM - Roberto Cirillo

- Status changed from In Progress to Closed

#17 - Jan 18, 2019 10:50 AM - Giancarlo Panichi
- Status changed from Closed to In Progress

- % Done changed from 100 to 0

@roberto.cirillo@isti.cnr.it in pre-production there is the DataMiner service that | had fixed yesterday, it should still put what it has built in gCube
4.13.1 to check that the dependencies are now correct.

Please, check that the deletion of the file already_installed_algorithms.txt is added to the ansible script at the end of the installation
dataminerl-pre:~/wps_algorithms_install_log$ rm already_installed_algorithms.txt

In this way, when the dataminer is restarted loads all the algorithms correctly.

#18 - Jan 18, 2019 11:04 AM - Roberto Cirillo

Giancarlo Panichi wrote:

@roberto.cirillo@isti.cnr.it in pre-production there is the DataMiner service that | had fixed yesterday, it should still put what it has built in gCube
4.13.1 to check that the dependencies are now correct.

Please, check that the deletion of the file already_installed_algorithms.txt is added to the ansible script at the end of the installation
dataminerl-pre:~/wps_algorithms_install_log$ rm already_installed_algorithms.txt

In this way, when the dataminer is restarted loads all the algorithms correctly.

@g.panichi@isti.cnr.it the file "already_installed_algorithms.txt" should be already removed at the end of the update as reported here: #11578

#19 - Jan 18, 2019 11:08 AM - Roberto Cirillo

I'm going to reinstall the dataminer in preproduction

#20 - Jan 18, 2019 11:21 AM - Roberto Cirillo
- Status changed from In Progress to Feedback
- Assignee changed from Roberto Cirillo to Giancarlo Panichi

- % Done changed from 0 to 100

Done.

#21 - Jan 18, 2019 11:34 AM - Giancarlo Panichi
- Status changed from Feedback to In Progress

- Assignee changed from Giancarlo Panichi to Roberto Cirillo

@roberto.cirillo@isti.cnr.it , now the service has the right libraries, the Etics build is correct.

As for the file already_installed_algorithms.txt, however, it seems that the moment when the cancellation is done is not good.
Because if you check the file it's empty and the DataMiner service has not loaded any algorithms.

Perhaps the deletion should be done after restarting the service in the ansible script.

#22 - Jan 18, 2019 11:54 AM - Roberto Cirillo
Giancarlo Panichi wrote:

@roberto.cirillo@isti.cnr.it , now the service has the right libraries, the Etics build is correct.

Good news
As for the file already_installed_algorithms.txt, however, it seems that the moment when the cancellation is done is not good.

Because if you check the file it's empty and the DataMiner service has not loaded any algorithms.
Perhaps the deletion should be done after restarting the service in the ansible script.

Sorry but | don't understand what you are saying.

Yes, now the cancellation has been done before the restart of the smartgears container and the file now (after the container restart) is still empty. This
means that at start time the file was empty.

If 1 will postpone the cancellation of the file after the contaienr restart what should change?

#23 - Jan 18, 2019 12:07 PM - Giancarlo Panichi

Change that the container does not reload the algorithms correctly.

#24 - Jan 18, 2019 12:41 PM - Roberto Cirillo
- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Andrea Dell'’Amico

This is not an explanation and | didn't realize that. IMHO this is not a clean behavior and should be avoided.
@andrea.dellamico@isti.cnr.it do you think it is possible to do it by ansible since the container restart is managed as handler event?

#25 - Jan 18, 2019 12:55 PM - Andrea Dell'Amico

- Assignee changed from Andrea Dell’Amico to Roberto Cirillo

Roberto Cirillo wrote:

This is not an explanation and | didn't realize that. IMHO this is not a clean behavior and should be avoided.
@andrea.dellamico@isti.cnr.it do you think it is possible to do it by ansible since the container restart is managed as handler event?
https://redmine.dev.d4science.org/issues/11578

It's doable but very complex. Also, that behaviour didn't change in many months: why is it a problem now?
Last: after an upgrade, all the algorithms are installed again.

#26 - Jan 18, 2019 02:19 PM - Giancarlo Panichi

- Status changed from Feedback to In Progress
Ok it's not a big deal for now.

#27 - Jan 28, 2019 11:03 AM - Roberto Cirillo

- Status changed from In Progress to Closed

Apr 30, 2025 4/4


http://www.tcpdf.org

